Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_LSOCK_Acceptor Class Reference

Defines the format and interface for the acceptor side of the local ACE_SOCK ACE_Stream. More...

`#include <LSOCK_Acceptor.h>`

Inheritance diagram for ACE_LSOCK_Acceptor:

[legend]
Collaboration diagram for ACE_LSOCK_Acceptor:

[legend]
List of all members.

## Public Types
typedef ACE_UNIX_Addr | PEER_ADDR
typedef ACE_LSOCK_Stream | PEER_STREAM
## Public Methods
| ACE_LSOCK_Acceptor (void)
| Default constructor. More...
| ACE_LSOCK_Acceptor (const ACE_Addr &local_sap, int reuse_addr=0, int protocol_family=PF_UNIX, int backlog=ACE_DEFAULT_BACKLOG, int protocol=0)
| Initiate a passive mode socket. More...
int | open (const ACE_Addr &local_sap, int reuse_addr=0, int protocol_family=PF_UNIX, int backlog=ACE_DEFAULT_BACKLOG, int protocol=0)
| Initiate a passive mode socket. More...
int | accept (ACE_LSOCK_Stream &new_ipc_sap, ACE_Addr *=0, ACE_Time_Value *timeout=0, int restart=1, int reset_new_handle=0) const
| Accept a new data transfer connection. More...
int | remove (void)
| Close down the ACE_LSOCK and remove the rendezvous point from the file system. More...
int | get_local_addr (ACE_Addr &) const
| Return the local endpoint address. More...
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Private Attributes
ACE_UNIX_Addr | local_addr_
| Address of our rendezvous point. More...

## Detailed Description

Defines the format and interface for the acceptor side of the local ACE_SOCK ACE_Stream.

## Member Typedef Documentation

typedef ACE_UNIX_Addr ACE_LSOCK_Acceptor::PEER_ADDR

| Reimplemented from ACE_SOCK_Acceptor.

typedef ACE_LSOCK_Stream ACE_LSOCK_Acceptor::PEER_STREAM

| Reimplemented from ACE_SOCK_Acceptor.

## Constructor & Destructor Documentation

ACE_LSOCK_Acceptor::ACE_LSOCK_Acceptor | ( | void |  | ) |

| Default constructor.

ACE_LSOCK_Acceptor::ACE_LSOCK_Acceptor | ( | const ACE_Addr & | remote_sap,
|  | int | reuse_addr = 0,
|  | int | protocol_family = PF_UNIX,
|  | int | backlog = ACE_DEFAULT_BACKLOG,
|  | int | protocol = 0
| ) |

| Initiate a passive mode socket.

## Member Function Documentation

int ACE_LSOCK_Acceptor::accept | ( | ACE_LSOCK_Stream & | new_stream,
|  | ACE_Addr * | remote_addr = 0,
|  | ACE_Time_Value * | timeout = 0,
|  | int | restart = 1,
|  | int | reset_new_handle = 0
| ) | const

| Accept a new data transfer connection.

void ACE_LSOCK_Acceptor::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_SOCK_Acceptor.

int ACE_LSOCK_Acceptor::get_local_addr | ( | ACE_Addr & | a | ) | const

| Return the local endpoint address. Reimplemented from ACE_SOCK.

int ACE_LSOCK_Acceptor::open | ( | const ACE_Addr & | remote_sap,
|  | int | reuse_addr = 0,
|  | int | protocol_family = PF_UNIX,
|  | int | backlog = ACE_DEFAULT_BACKLOG,
|  | int | protocol = 0
| ) |

| Initiate a passive mode socket. Reimplemented from ACE_SOCK_Acceptor.

int ACE_LSOCK_Acceptor::remove | ( | void |  | ) |

| Close down the ACE_LSOCK and remove the rendezvous point from the file system.

## Member Data Documentation

ACE_LSOCK_Acceptor::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_SOCK_Acceptor.

ACE_UNIX_Addr ACE_LSOCK_Acceptor::local_addr_`[private]`

| Address of our rendezvous point.

The documentation for this class was generated from the following files:

- LSOCK_Acceptor.h
- LSOCK_Acceptor.cpp